Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Marek Szyprowski <[email-masked]>
Date: Mon, 26 Nov 2012 14:44:02 +0100

Hi Stephen,

On 11/26/2012 3:31 AM, Stephen Rothwell wrote:
> Hi Mauro,
>
> After merging the v4l-dvb tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> ERROR: "dma_common_get_sgtable" [drivers/media/v4l2-core/videobuf2-dma-contig.ko] undefined!
>
> Caused by commit 9ef2cbeb8192 ("[media] v4l: vb2-dma-contig: add support
> for DMABUF exporting").  dma_common_get_sgtable() is called from the
> inline dma_get_sgtable_attrs() and dma_get_sgtable_attrs() is "called
> from" dma_get_sgtable().  dma_common_get_sgtable() is only defined if
> ARCH_HAS_DMA_DECLARE_COHERENT_MEMORY is set which depends on
> CONFIG_HAVE_GENERIC_DMA_COHERENT being set which it isn't for this build.
>
> I have used the v4l-dvb tree form next-20121026 for today.
>
> Please try testing your tree with an x86_64 allmodconfig build.

Thanks for spotting this issue. It's my fault, code for 
dma_common_get_sgtable()
function was incorrectly placed under ifdefs in drivrs/base/dma-mapping.

I've posted a fix, please refer to the "dma-mapping: fix 
dma_common_get_sgtable()
conditional compilation" patch, which I will push to Linus asap.

Best regards
-- 
Marek Szyprowski
Samsung Poland R&D Center